Bug 739860 - python-urlgrabber-3.9.1-8.el6 is missing support for basic auth
Summary: python-urlgrabber-3.9.1-8.el6 is missing support for basic auth
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-urlgrabber
Version: 6.1
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Valentina Mukhamedzhanova
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: 947775 1002711 1070830 1159820
TreeView+ depends on / blocked
 
Reported: 2011-09-20 08:44 UTC by Tuomo Soini
Modified: 2018-12-04 14:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-18 13:54:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 42791 None None None Never

Description Tuomo Soini 2011-09-20 08:44:03 UTC
yum supports basic auth by username and password options.

python urlgrabber is missing commit c2a06002be467b8395e420fea9a629d6dc14ddbc for basic auth support. So while yum gives auth info to urlgrabber urlgrabber doesn't currently know what to do with it.

Comment 2 RHEL Product and Program Management 2011-09-20 09:08:36 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 James Antill 2011-09-21 15:44:39 UTC
 Simple backport of an upstream fix ... it "works" now but you have to use https://username:password@host/path ... and it shows the auth. info. on errors (or whenever yum shows the url), which can be pretty annoying.

Comment 6 Suzanne Yeghiayan 2012-02-14 23:16:13 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 7 RHEL Product and Program Management 2013-10-14 00:57:26 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 9 Chris Williams 2015-09-18 13:54:40 UTC
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 6 and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.


Note You need to log in before you can comment on or make changes to this bug.